Summary: A C implementation of the Primary Rate ISDN specification
Name: libpri
Version: 1.4.11.5
Release: 27%{?dist}
Epoch: 1
License: GPL
Group: System Environment/Libraries
URL: http://www.asterisk.org/
Source0: http://downloads.digium.com/pub/telephony/%{name}/%{name}-%{version}.tar.gz
#Patch0: libpri-bri.patch
Patch1: libpri-1.4.0-beta1-Makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: /sbin/ldconfig
%lib_dependencies

%description
libpri is a C implementation of the Primary Rate ISDN specification.
It was based on the Bellcore specification SR-NWT-002343 for National
ISDN.  As of May 12, 2001, it has been tested work with NI-2, Nortel
DMS-100, and Lucent 5E Custom protocols on switches from Nortel and
Lucent.

%lib_package pri 1

%prep
%setup -q
#patch0 -p1 -b .bri
#patch1 -p0 -b .selinux
perl -pi -e's,\$\(INSTALL_BASE\)/lib,%{_libdir},g' Makefile
perl -pi -e's,/sbin/ldconfig,:,g' Makefile

%build
make "CFLAGS=%{optflags} -fPIC"

%install
rm -rf %{buildroot}
make install INSTALL_PREFIX=%{buildroot}
/sbin/ldconfig -n %{buildroot}%{_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README TODO

%changelog
* Sat Mar 26 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.11.5-27
- Update to 1.4.11.5.

* Sun Oct 10 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.11.4-26
- Update to 1.4.11.4.

* Tue Oct 27 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.10.2-25
- Update to 1.4.10.2.

* Wed Aug 05 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:1.4.10.1-24
- Update to 1.4.10.1.

* Fri Jan 30 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.9-22
- Update to 1.4.9.

* Sat Oct 11 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.7-21
- Update to 1.4.7.

* Wed Jul 2 2008 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1:1.4.4-20
- Update to 1.4.4.

* Sat Dec 22 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.3-19
- Update to 1.4.3.

* Mon Oct 29 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.2-18
- Update to 1.4.2.

* Wed Jul 11 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.1-17
- Update to 1.4.1.

* Sun Dec 24 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.4.0-16
- Update to 1.4.0.

* Wed Dec  6 2006 Alexander Bergolth <leo@leo.wu-wien.ac.at> - 1:1.4.0-15_beta1
- First try with 1.4.0-beta1

* Wed Oct 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.4-13
- Rebuild w/o Fedora Extras to avoid beta bits.
- Bump epoch to superseed beta bits.

* Thu Oct 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.4-12
- Update to 1.2.4.

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.3.

* Thu Jan 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.2.

* Mon Dec 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.1.

* Mon Nov 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.0.

* Fri Jul 15 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9.

* Mon Jun 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.8.

* Fri Apr  1 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.7.

* Mon Dec 13 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

